Locations
All locations on a project
List all locations of a given project.
GET
/
projects
/
{project_id}
/
locations
List all locations on a project
curl --request GET \
--url https://app.gomangrove.com/api/v1/projects/{project_id}/locations \
--header 'Authorization: <api-key>'import requests
url = "https://app.gomangrove.com/api/v1/projects/{project_id}/locations"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://app.gomangrove.com/api/v1/projects/{project_id}/locations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "loc_lGX1KyB6Z1XrSN5h",
"lat": "40.4773493",
"long": "-124.1226179",
"name": "Production Facility",
"address": {
"name": "Production Facility",
"street_address_1": null,
"street_address_2": null,
"city": null,
"state": null,
"postal_code": null,
"country": "CA"
}
}
],
"info": {
"items": 5,
"page_size": 10,
"total_items": 5,
"current_page": 1,
"next_page": null,
"previous_page": null,
"total_pages": 1,
"sort": [],
"filter": []
}
}{
"status": "error",
"statusCode": 404,
"errors": [
{
"message": "Record not found."
}
]
}Authorizations
Path Parameters
Query Parameters
Controls response format. default returns paginated data. summary returns count and 10 samples. summary_with_export returns summary and triggers an async export.
Available options:
default, summary, summary_with_export File format for async export (only with response_mode=summary_with_export). Default: csv.
Available options:
csv, json ⌘I
List all locations on a project
